Overview | Package | Class | Deprecated | Index | Help
| Griffon 0.9.5-rc2
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.griffon.runtime.core
[Java] Class ServiceArtifactHandler.DefaultServiceManager

    java.lang.Object
      org.codehaus.griffon.runtime.core.AbstractServiceManager
          org.codehaus.griffon.runtime.core.ServiceArtifactHandler.DefaultServiceManager

    private class ServiceArtifactHandler.DefaultServiceManager
    extends AbstractServiceManager

Field Summary
`private Map` | `serviceInstances`

Fields inherited from class AbstractServiceManager
app

Constructor Summary
`ServiceArtifactHandler.DefaultServiceManager(GriffonApplication app)`

Method Summary
`GriffonService` | `findService(String name)`
`Map` | `getServices()`
`private GriffonService` | `instantiateService(GriffonClass griffonClass)`

Methods inherited from class AbstractServiceManager
getApp

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Field Detail

### serviceInstances

    private final Map serviceInstances

Constructor Detail

### ServiceArtifactHandler.DefaultServiceManager

    public ServiceArtifactHandler.DefaultServiceManager(GriffonApplication app)

Method Detail

### findService

    public GriffonService findService(String name)

### getServices

    public Map getServices()

### instantiateService

    private GriffonService instantiateService(GriffonClass griffonClass)

Groovy Documentation